Subject: Re: I-D Action:draft-brown-versioning-link-relations-00.txt

From: Julian Reschke <[email-masked]>
Date: Fri, 12 Jun 2009 15:55:48 +0200

Hi,

as part of the ongoing process of making the CMIS AtomPub protocol 
bindings a good citizen IETF-wise, we have been going through all the 
link relations it defines, and grouped them into CMIS-specific (these 
will use a CMIS-specific IRI and will not be registered), and general 
purpose.

The second group consists of the hierarchy link relations we are already 
discussing (Nikunj's Internet-Draft), and link relations for navigating 
version histories, which Al Brown and myself have been working on.

This draft (*) is just a start; we have a few open issues (marked as 
such), examples are missing, and I'd also like to discuss the 
relationship with JCR and WebDAV in an appendix, but didn't have time to 
do so yet.

Nevertheless it would be nice to get early feedback about whether this 
makes sense, and whether something important is missing to make it 
useful in non-CMIS scenarios.

Feedback appreciated!

BR, Julian

(*) HTML version and latest edits at: 
<http://greenbytes.de/tech/webdav/#draft-brown-versioning-link-relations>)

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 	Title           : Link Relations for Simple Version Navigation
> 	Author(s)       : A. Brown, J. Reschke
> 	Filename        : draft-brown-versioning-link-relations-00.txt
> 	Pages           : 6
> 	Date            : 2009-06-12
> 
> This specification defines Atom link relations for navigation between
> a resource and its versions.Editorial Note (To be removed by RFC Editor
> before publication)
> 
> Please send comments to the Atom Syntax mailing list
> (<http://www.imc.org/atom-syntax/>).
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-brown-versioning-link-relations-00.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt